﻿using System;
using System.Collections.Generic;
using System.Text;

using NAnt.Core;
using NAnt.Core.Attributes;

namespace CompassHealth.NAntExtensions.Tasks
{
    /// <summary>
    /// Contains functions used during Vault authentication.
    /// </summary>
    [FunctionSet("VaultLoginFunctions", "VaultLoginFunctions")]
    public class VaultLoginFunctions : FunctionSetBase
    {
        public VaultLoginFunctions(Project project, PropertyDictionary properties)
            : base(project, properties)
        {
        }

        /// <summary>
        /// Returns the Vault UserName for the current Windows user.
        /// </summary>
        /// <returns>Returns the Vault UserName or an empty length string if not found.</returns>
        [Function("UserName")]
        public static string UserName()
        {
            return VaultUser.GetSingleton().UserName;
        }

        /// <summary>
        /// Returns the Vault Password for the current Windows user.
        /// </summary>
        /// <returns>Returns the Vault Password or an empty length string if not found.</returns>
        [Function("Password")]
        public static string Password()
        {
            return VaultUser.GetSingleton().Password;
        }
    }
}
